varying vec2 texCoord;
uniform sampler2D baseMap;
uniform samplerCube envMap;
varying vec3 norm;
varying vec3 eye;
varying float colMod;
uniform float antiLiased;
uniform float animHeh;
varying vec3 lightPosVary;
varying float limit;

void main()
{
	/*if(limit > animHeh)
		discard;*/
	vec3 bumpCol = texture2D(baseMap,texCoord).rgb;
	vec3 normal = normalize(norm);
	float lightRec = dot(norm,normalize(-lightPosVary));
	gl_FragColor = vec4((vec3(0.2)+ vec3(colMod))*1.0*bumpCol*lightRec,1.0);
	
}